CVE-2017-5378

NameCVE-2017-5378
DescriptionHashed codes of JavaScript objects are shared between pages. This allows for pointer leaks because an object's address can be discovered through hash codes, and also allows for data leakage of an object's content using these hash codes. This vulnerability affects Thunderbird < 45.7, Firefox ESR < 45.7, and Firefox < 51.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-800-1, DLA-896-1, DSA-3771-1, DSA-3832-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid60.0.2-1fixed
firefox-esr (PTS)jessie52.5.0esr-1~deb8u1fixed
jessie (security)52.8.1esr-1~deb8u1fixed
stretch52.6.0esr-1~deb9u1fixed
stretch (security)52.8.1esr-1~deb9u1fixed
buster, sid52.8.1esr-2fixed
icedove (PTS)jessie1:45.8.0-3~deb8u1fixed
jessie (security)1:52.3.0-4~deb8u2fixed
stretch (security), stretch1:52.3.0-4~deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)51.0-1
firefox-esrsource(unstable)45.7.0esr-1
firefox-esrsourcejessie45.7.0esr-1~deb8u1DSA-3771-1
firefox-esrsourcewheezy45.7.0esr-1~deb7u1DLA-800-1
icedovesource(unstable)1:45.7.1-1
icedovesourcejessie1:45.8.0-3~deb8u1DSA-3832-1
icedovesourcewheezy1:45.8.0-3~deb7u1DLA-896-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2017-01/#CVE-2017-5378
https://www.mozilla.org/en-US/security/advisories/mfsa2017-02/#CVE-2017-5378
https://www.mozilla.org/en-US/security/advisories/mfsa2017-03/#CVE-2017-5378

Search for package or bug name: Reporting problems